Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(25)

Issue 2760093002: Making callbacks in Android ChildProcessLauncher generic. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 1 week ago by Jay Civelli
Modified:
3 months, 1 week ago
Reviewers:
palmer, Yaron, boliu
CC:
agrieve+watch_chromium.org, chromium-reviews, darin-cc_chromium.org, jam
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Making callbacks in Android ChildProcessLauncher generic. As part of the effort of moving ChildProcessLauncher.java to base, making the callbacks passed to the child processes generic (an IBinder) and moving the content ones to a specific content class. BUG=702316 Review-Url: https://codereview.chromium.org/2760093002 Cr-Commit-Position: refs/heads/master@{#458612} Committed: https://chromium.googlesource.com/chromium/src/+/27d06a66030cece252b659e1eca0be955d4d7475

Patch Set 1 #

Total comments: 3

Patch Set 2 : Renaming callbacks class to GpuProcessCallback. #

Total comments: 1

Patch Set 3 : Synced #

Patch Set 4 : Synced #

Unified diffs Side-by-side diffs Delta from patch set Stats (+139 lines, -110 lines) Patch
M content/browser/BUILD.gn View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download
M content/browser/android/browser_jni_registrar.cc View 1 2 chunks +2 lines, -0 lines 0 comments Download
A content/browser/android/gpu_process_callback.h View 1 1 chunk +16 lines, -0 lines 0 comments Download
A content/browser/android/gpu_process_callback.cc View 1 1 chunk +51 lines, -0 lines 0 comments Download
M content/browser/child_process_launcher_helper_android.cc View 1 2 3 3 chunks +0 lines, -32 lines 0 comments Download
M content/public/android/BUILD.gn View 1 2 3 3 chunks +3 lines, -1 line 0 comments Download
M content/public/android/java/src/org/chromium/content/app/ChildProcessServiceImpl.java View 1 2 3 7 chunks +9 lines, -8 lines 0 comments Download
M content/public/android/java/src/org/chromium/content/browser/ChildProcessConnection.java View 1 2 3 2 chunks +7 lines, -3 lines 0 comments Download
M content/public/android/java/src/org/chromium/content/browser/ChildProcessConnectionImpl.java View 1 2 3 4 chunks +7 lines, -7 lines 0 comments Download
M content/public/android/java/src/org/chromium/content/browser/ChildProcessLauncher.java View 1 2 3 4 chunks +3 lines, -37 lines 0 comments Download
A content/public/android/java/src/org/chromium/content/browser/GpuProcessCallback.java View 1 1 chunk +35 lines, -0 lines 0 comments Download
D content/public/android/java/src/org/chromium/content/common/IChildProcessCallback.aidl View 1 chunk +0 lines, -16 lines 0 comments Download
M content/public/android/java/src/org/chromium/content/common/IChildProcessService.aidl View 2 chunks +1 line, -3 lines 0 comments Download
A + content/public/android/java/src/org/chromium/content/common/IGpuProcessCallback.aidl View 1 1 chunk +1 line, -1 line 0 comments Download
M content/public/android/junit/src/org/chromium/content/browser/BindingManagerImplTest.java View 1 2 3 3 chunks +2 lines, -2 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 36 (21 generated)
Jay Civelli
3 months, 1 week ago (2017-03-20 21:58:37 UTC) #6
boliu
https://codereview.chromium.org/2760093002/diff/1/content/public/android/java/src/org/chromium/content/common/IContentChildProcessCallback.aidl File content/public/android/java/src/org/chromium/content/common/IContentChildProcessCallback.aidl (right): https://codereview.chromium.org/2760093002/diff/1/content/public/android/java/src/org/chromium/content/common/IContentChildProcessCallback.aidl#newcode10 content/public/android/java/src/org/chromium/content/common/IContentChildProcessCallback.aidl:10: interface IContentChildProcessCallback { Let's bikeshed the name.. this is ...
3 months, 1 week ago (2017-03-20 22:39:16 UTC) #7
Jay Civelli
https://codereview.chromium.org/2760093002/diff/1/content/public/android/java/src/org/chromium/content/common/IContentChildProcessCallback.aidl File content/public/android/java/src/org/chromium/content/common/IContentChildProcessCallback.aidl (right): https://codereview.chromium.org/2760093002/diff/1/content/public/android/java/src/org/chromium/content/common/IContentChildProcessCallback.aidl#newcode10 content/public/android/java/src/org/chromium/content/common/IContentChildProcessCallback.aidl:10: interface IContentChildProcessCallback { On 2017/03/20 22:39:16, boliu wrote: > ...
3 months, 1 week ago (2017-03-20 22:41:57 UTC) #8
boliu
https://codereview.chromium.org/2760093002/diff/1/content/public/android/java/src/org/chromium/content/common/IContentChildProcessCallback.aidl File content/public/android/java/src/org/chromium/content/common/IContentChildProcessCallback.aidl (right): https://codereview.chromium.org/2760093002/diff/1/content/public/android/java/src/org/chromium/content/common/IContentChildProcessCallback.aidl#newcode10 content/public/android/java/src/org/chromium/content/common/IContentChildProcessCallback.aidl:10: interface IContentChildProcessCallback { On 2017/03/20 22:41:57, Jay Civelli wrote: ...
3 months, 1 week ago (2017-03-20 22:45:48 UTC) #9
Jay Civelli
On 2017/03/20 22:45:48, boliu wrote: > https://codereview.chromium.org/2760093002/diff/1/content/public/android/java/src/org/chromium/content/common/IContentChildProcessCallback.aidl > File > content/public/android/java/src/org/chromium/content/common/IContentChildProcessCallback.aidl > (right): > > ...
3 months, 1 week ago (2017-03-20 23:35:05 UTC) #12
boliu
lgtm
3 months, 1 week ago (2017-03-21 00:02:50 UTC) #15
Yaron
lgtm https://codereview.chromium.org/2760093002/diff/20001/content/public/android/java/src/org/chromium/content/app/ChildProcessServiceImpl.java File content/public/android/java/src/org/chromium/content/app/ChildProcessServiceImpl.java (right): https://codereview.chromium.org/2760093002/diff/20001/content/public/android/java/src/org/chromium/content/app/ChildProcessServiceImpl.java#newcode141 content/public/android/java/src/org/chromium/content/app/ChildProcessServiceImpl.java:141: callback != null ? IGpuProcessCallback.Stub.asInterface(callback) : null; Seems ...
3 months, 1 week ago (2017-03-21 16:13:56 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2760093002/20001
3 months, 1 week ago (2017-03-21 16:20:47 UTC) #20
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/390374)
3 months, 1 week ago (2017-03-21 16:28:37 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2760093002/40001
3 months, 1 week ago (2017-03-21 17:04:48 UTC) #25
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/390435)
3 months, 1 week ago (2017-03-21 17:15:56 UTC) #27
Jay Civelli
Adding palmer@ for security OWNERS review of AIDL files.
3 months, 1 week ago (2017-03-21 18:24:13 UTC) #29
palmer
lgtm
3 months, 1 week ago (2017-03-21 19:08:09 UTC) #30
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2760093002/60001
3 months, 1 week ago (2017-03-21 22:04:12 UTC) #33
commit-bot: I haz the power
3 months, 1 week ago (2017-03-22 01:41:57 UTC) #36
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/27d06a66030cece252b659e1eca0...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 23e94e589